Bug 1267862 - SELinux is preventing convert from 'unlink' accesses on the file magickxr611f.
SELinux is preventing convert from 'unlink' accesses on the file magickxr611f.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:685fab5b6bc162f71fe6272bd49...
:
: 1267864 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 05:00 EDT by Ahmad Kaifi
Modified: 2016-07-19 16:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ahmad Kaifi 2015-10-01 05:00:42 EDT
Description of problem:
Fedora 22 seems not estable at all keeps chraching on me!! I was trying to copy some files from one HDD to another which took forever with no success!!!!
SELinux is preventing convert from 'unlink' accesses on the file magickxr611f.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that convert should be allowed unlink access on the magickxr611f file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep convert /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                magickxr611f [ file ]
Source                        convert
Source Path                   convert
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.13.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.1.7-200.fc22.x86_64 #1 SMP Mon
                              Sep 14 20:19:24 UTC 2015 x86_64 x86_64
Alert Count                   8
First Seen                    2015-10-01 00:54:52 AST
Last Seen                     2015-10-01 10:43:10 AST
Local ID                      34020df7-418a-42be-a594-082a7089ff86

Raw Audit Messages
type=AVC msg=audit(1443685390.237:635): avc:  denied  { unlink } for  pid=12324 comm="convert" name="magickxr611f" dev="sdd2" ino=5100620 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file permissive=1


Hash: convert,thumb_t,user_home_dir_t,file,unlink

Version-Release number of selected component:
selinux-policy-3.13.1-128.13.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.7-200.fc22.x86_64
type:           libreport

Potential duplicate: bug 862147
Comment 1 Daniel Walsh 2015-10-03 06:33:14 EDT
*** Bug 1267864 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2016-07-19 16:55:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.